import z from 'zod';

export const AddressSchema = z.object({
  street: z.string().describe('Street name').optional(),
  streetNumber: z.string().describe('Street number').optional(),
  zipCode: z.string().describe('Postal code').optional(),
  city: z.string().describe('City name').optional(),
  country: z.string().describe('Country').optional(),
  additionalInfo: z.string().describe('Additional information').optional(),
});
